<html><head><title>Epydoc Redirect Page</title>
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<meta http-equiv="pragma" content="no-cache" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>
<body>
<script type="text/javascript">
<!--
var pages = ["bitten.admin.BuildConfigurationsAdminPageProvider-c", "bitten.report.coverage.TestCoverageChartGenerator-c", "bitten.report.testing.TestResultsChartGenerator-c", "bitten.report.coverage.TestCoverageSummarizer-c", "bitten.report.coverage.TestCoverageAnnotator-c", "bitten.report.testing.TestResultsSummarizer-c", "bitten.admin.BuildMasterAdminPageProvider-c", "bitten.report.lint.PyLintChartGenerator-c", "bitten.util.compat.HTTPBasicAuthHandler-c", "bitten.build.config.ConfigFileNotFound-c", "bitten.web_ui.SourceFileLinkFormatter-c", "bitten.util.testrunner.XMLTestResult-c", "bitten.util.testrunner.XMLTestRunner-c", "bitten.report.lint.PyLintSummarizer-c", "bitten.web_ui.BuildConfigController-c", "bitten.web_ui.ReportChartController-c", "bitten.build.config.Configuration-c", "bitten.api.IReportChartGenerator-c", "bitten.recipe.InvalidRecipeError-c", "bitten.util.testrunner.unittest-c", "bitten.util.xmlio.ParsedElement-c", "bitten.notify.BuildNotifyEmail-c", "bitten.build.api.TimeoutError-c", "bitten.web_ui.BuildController-c", "bitten.api.IReportSummarizer-c", "bitten.build.api.CommandLine-c", "bitten.build.api.BuildError-c", "bitten.build.svntools.Error-c", "bitten.model.TargetPlatform-c", "bitten.notify.BittenNotify-c", "bitten.util.xmlio.Fragment-c", "bitten.web_ui.BittenChrome-c", "bitten.api.IBuildListener-c", "bitten.master.BuildMaster-c", "bitten.util.xmlio.Element-c", "bitten.build.pythontools-m", "bitten.api.ILogFormatter-c", "bitten.build.api.FileSet-c", "bitten.model.BuildConfig-c", "bitten.main.BuildSystem-c", "bitten.queue.BuildQueue-c", "bitten.slave.BuildSlave-c", "trac.core.ComponentMeta-c", "bitten.build.javatools-m", "bitten.build.monotools-m", "bitten.report.coverage-m", "bitten.util.testrunner-m", "bitten.model.BuildStep-c", "bitten.slave.ExitSlave-c", "bitten.build.phptools-m", "bitten.build.svntools-m", "bitten.build.xmltools-m", "bitten.report.testing-m", "bitten.model.BuildLog-c", "bitten.recipe.Context-c", "bitten.build.hgtools-m", "bitten.build.shtools-m", "bitten.recipe.Recipe-c", "bitten.build.config-m", "bitten.build.ctools-m", "bitten.model.Report-c", "bitten.report.lint-m", "bitten.util.compat-m", "bitten.model.Build-c", "bitten.recipe.Step-c", "bitten.util.xmlio-m", "bitten.build.api-m", "bitten.util.json-m", "bitten.upgrades-m", "bitten.util.loc-m", "bitten.master-m", "bitten.notify-m", "bitten.recipe-m", "bitten.report-m", "bitten.web_ui-m", "bitten.admin-m", "bitten.build-m", "bitten.model-m", "bitten.queue-m", "bitten.slave-m", "bitten.main-m", "bitten.util-m", "bitten.api-m", "bitten-m"];
var dottedName = get_anchor();
if (dottedName) {
    var target = redirect_url(dottedName);
    if (target) window.location.replace(target);
}
// -->
</script>

<h3>Epydoc Auto-redirect page</h3>

<p>When javascript is enabled, this page will redirect URLs of
the form <tt>redirect.html#<i>dotted.name</i></tt> to the
documentation for the object with the given fully-qualified
dotted name.</p>
<p><a id="message"> &nbsp; </a></p>

<script type="text/javascript">
<!--
if (dottedName) {
    var msg = document.getElementById("message");
    msg.innerHTML = "No documentation found for <tt>"+
                    dottedName+"</tt>";
}
// -->
</script>

</body>
</html>
